"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var styles_1 = tslib_1.__importDefault(require("../styles"));
var utils_1 = require("utils");
var checkoutPayment = {
    checkoutPayment: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexBasis: 'auto',
            flexGrow: 1,
            flexShrink: 1,
            gap: utils_1.theme.spacing.padding.large,
            justifyContent: 'center',
            overflow: 'hidden',
            paddingBottom: 100,
            paddingLeft: utils_1.theme.spacing.padding.large,
            paddingRight: utils_1.theme.spacing.padding.large,
            paddingTop: 100
        }
    },
    checkoutPayment__header: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexBasis: 200,
            flexGrow: 0,
            flexShrink: 1,
            justifyContent: 'center',
            textAlign: 'center'
        }
    },
    checkoutPayment__title: {
        classes: '',
        props: {
            as: 'h1',
            text: 'Follow Payment Prompts'
        },
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.textHeadline), { fontSize: utils_1.theme.fontSizes.xxxlarge })
    },
    checkoutPayment__subtitle: {
        classes: '',
        props: {
            as: 'h1',
            text: 'Follow Payment Prompts'
        },
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.textBody), { fontSize: utils_1.theme.fontSizes.large, padding: utils_1.theme.spacing.padding.large })
    },
    checkoutPayment__content: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexGrow: 1,
            flexShrink: 1,
            justifyContent: 'center',
            overflow: 'hidden'
        }
    },
    checkoutPayment__imageContainer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch'
        }
    },
    checkoutPayment__image: {
        classes: '',
        props: {
            src: 'https://io-opentender.s3.amazonaws.com/images/kiosk-with-payment-terminal.png',
            alt: 'Payment Terminal'
        },
        style: {
            width: 640
        }
    },
    checkoutPayment__footer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexBasis: 200,
            flexGrow: 0,
            flexShrink: 1,
            flexDirection: 'row',
            gap: 100,
            justifyContent: 'center'
        }
    },
    checkoutPayment__back: {
        classes: '',
        props: { text: 'Customize' },
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.buttonSecondary), { flexBasis: '400px', flexGrow: 0, flexShrink: 0, borderRadius: 64, fontSize: utils_1.theme.fontSizes.large, paddingBottom: 20, paddingLeft: 30, paddingRight: 30, paddingTop: 20 })
    },
    checkoutPayment__proceed: {
        classes: '',
        props: { text: 'Add To Order' },
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.buttonPrimary), { flexBasis: '400px', flexGrow: 0, flexShrink: 0, borderRadius: 64, fontSize: utils_1.theme.fontSizes.large, paddingBottom: 20, paddingLeft: 30, paddingRight: 30, paddingTop: 20 })
    }
};
exports.default = checkoutPayment;
