"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var styles_1 = tslib_1.__importDefault(require("../styles"));
var utils_1 = require("utils");
var checkoutUpsells = {
    checkoutUpsells: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexBasis: 'auto',
            flexGrow: 1,
            flexShrink: 1,
            gap: utils_1.theme.spacing.padding.large,
            justifyContent: 'center',
            overflow: 'hidden',
            paddingBottom: 100,
            paddingLeft: utils_1.theme.spacing.padding.large,
            paddingRight: utils_1.theme.spacing.padding.large,
            paddingTop: 100
        }
    },
    checkoutUpsells__header: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexBasis: 200,
            flexGrow: 0,
            flexShrink: 1,
            justifyContent: 'center',
            textAlign: 'center'
        }
    },
    checkoutUpsells__title: {
        classes: '',
        props: {
            as: 'h1',
            text: 'May We Suggest..'
        },
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.textHeadline), { fontSize: utils_1.theme.fontSizes.xxxlarge })
    },
    checkoutUpsells__content: {
        classes: 'hide-scrollbar',
        props: {},
        style: {
            alignItems: 'center',
            flexGrow: 1,
            justifyContent: 'center',
            overflow: 'scroll'
            // backgroundColor: 'pink'
        }
    },
    checkoutUpsells__items: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexGrow: 1,
            gap: utils_1.theme.spacing.padding.large,
            justifyContent: 'center',
            padding: utils_1.theme.spacing.padding.large,
            width: 800
            // backgroundColor: 'palegreen'
        }
    },
    checkoutUpsells__footer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexBasis: 200,
            flexGrow: 0,
            flexShrink: 1,
            flexDirection: 'row',
            gap: 100,
            justifyContent: 'center'
        }
    },
    checkoutUpsells__proceed: {
        classes: '',
        props: { text: 'Continue to Checkout' },
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.buttonPrimary), { flexBasis: '400px', flexGrow: 0, flexShrink: 0, borderRadius: 64, fontSize: utils_1.theme.fontSizes.large, paddingBottom: 20, paddingLeft: 30, paddingRight: 30, paddingTop: 20 })
    }
};
exports.default = checkoutUpsells;
