"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var styles_1 = tslib_1.__importDefault(require("../styles"));
var utils_1 = require("utils");
var menu = {
    menu: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexBasis: 'auto',
            flexGrow: 1,
            flexShrink: 1,
            justifyContent: 'flex-start',
            overflow: 'hidden'
        }
    },
    menu__header: {
        classes: '',
        props: {},
        style: {
            flexBasis: 'auto',
            flexGrow: 0,
            flexShrink: 0,
            justifyContent: 'center',
            marginTop: 30,
            marginBottom: 30,
            paddingLeft: utils_1.theme.spacing.padding.medium,
            paddingRight: utils_1.theme.spacing.padding.medium
        }
    },
    menu__title: {
        classes: '',
        props: {
            as: 'h1',
            text: 'My oh my...where to begin...'
        },
        style: tslib_1.__assign({}, styles_1.default.textHeadline)
    },
    menu__subtitle: {
        classes: '',
        props: {
            as: 'p',
            text: 'Please choose a category to get started.'
        },
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.textBody), { fontSize: 20, marginTop: 10 })
    },
    menu__content: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            overflow: 'scroll',
            paddingLeft: 10,
            paddingRight: 10
        }
    },
    menu__categories: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexBasis: 'auto',
            flexDirection: 'row',
            flexGrow: 1,
            flexShrink: 1,
            flexWrap: 'wrap',
            // gap: 20,
            justifyContent: 'flex-start',
            paddingBottom: 20
        }
    }
};
exports.default = menu;
