"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var styles_1 = tslib_1.__importDefault(require("styles"));
var utils_1 = require("utils");
var upsells = {
    upsells: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            backgroundColor: utils_1.theme.colors.background.primary,
            borderRadius: utils_1.theme.spacing.borderRadius.medium,
            boxShadow: utils_1.theme.colors.boxShadow.primary,
            flexGrow: 1,
            minWidth: 800,
            overflow: 'hidden',
            padding: utils_1.theme.spacing.padding.large
        }
    },
    upsells__header: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexBasis: 200,
            flexGrow: 0,
            flexShrink: 0,
            justifyContent: 'center',
            textAlign: 'center'
        }
    },
    upsells__title: {
        classes: '',
        props: {
            as: 'h1',
            text: 'You Might Also Like'
        },
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.textHeadline), { fontSize: utils_1.theme.fontSizes.xxlarge })
    },
    upsells__items: {
        classes: 'hide-scrollbar',
        props: {},
        style: {
            alignItems: 'stretch',
            flexGrow: 1,
            justifyContent: 'center',
            overflow: 'scroll'
        }
    },
    upsells__itemsContainer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexGrow: 1,
            gap: utils_1.theme.spacing.padding.large,
            justifyContent: 'center',
            padding: utils_1.theme.spacing.padding.large
        }
    },
    upsells__footer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexBasis: 200,
            flexDirection: 'row',
            flexGrow: 0,
            flexShrink: 0,
            justifyContent: 'center',
            textAlign: 'center'
        }
    },
    upsells__cancel: {
        classes: '',
        props: { text: 'Add To Order' },
        style: tslib_1.__assign(tslib_1.__assign({}, styles_1.default.buttonPrimary), { flexBasis: 400, flexGrow: 0, flexShrink: 0, borderRadius: 64, fontSize: utils_1.theme.fontSizes.large, paddingBottom: 20, paddingLeft: 30, paddingRight: 30, paddingTop: 20 })
    }
};
exports.default = upsells;
