import { __assign } from "tslib";
import styles from '../styles';
import { theme } from 'utils';
var cart = {
    cart: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            overflow: 'hidden'
        }
    },
    cart__container: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            overflow: 'hidden',
            position: 'relative',
            flexGrow: 1,
            paddingTop: theme.spacing.padding.medium,
            paddingLeft: theme.spacing.padding.medium,
            paddingRight: theme.spacing.padding.medium
        }
    },
    cart__overlay: {
        classes: '',
        props: {},
        style: {
            backgroundColor: theme.colors.text.primary
        }
    },
    cart__ticket: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            backgroundColor: theme.colors.background.primary,
            borderTopLeftRadius: theme.spacing.borderRadius.large,
            borderTopRightRadius: theme.spacing.borderRadius.large,
            boxShadow: theme.colors.boxShadow.primary,
            flexGrow: 1,
            overflow: 'hidden',
            position: 'relative',
            zIndex: 2
        }
    },
    cart__header: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            backgroundColor: theme.colors.accent.primary,
            display: 'flex',
            flexBasis: 80,
            flexDirection: 'row',
            flexGrow: 0,
            flexShrink: 0,
            justifyContent: 'space-between',
            paddingLeft: theme.spacing.padding.medium,
            paddingRight: theme.spacing.padding.medium
        }
    },
    cart__title: {
        classes: '',
        props: {},
        style: __assign(__assign({}, styles.textHeading), { fontSize: theme.fontSizes.xlarge })
    },
    cart__total: {
        classes: '',
        props: {},
        style: __assign(__assign({}, styles.textHeading), { fontSize: theme.fontSizes.xlarge })
    },
    cart__content: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexGrow: 1,
            flexShrink: 1,
            overflow: 'hidden'
        }
    },
    cart__contentContainer: {
        classes: 'hide-scrollbar',
        props: {},
        style: {
            alignItems: 'stretch',
            flexGrow: 1,
            flexShrink: 1,
            overflow: 'scroll',
            padding: theme.spacing.padding.medium
        }
    },
    cart__footer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexGrow: 0,
            flexShrink: 0,
            padding: theme.spacing.padding.medium
        }
    },
    cart__footerContainer: {
        classes: '',
        props: {},
        style: {
            flexDirection: 'row',
            gap: theme.spacing.padding.medium,
            justifyContent: 'space-between'
        }
    },
    cart__checkout: {
        classes: '',
        props: { text: 'Finish & Pay' },
        style: __assign(__assign({}, styles.buttonPrimary), { flexBasis: 1, flexGrow: 1, borderRadius: 64, fontSize: theme.fontSizes.xlarge, paddingBottom: 20, paddingLeft: 48, paddingRight: 48, paddingTop: 20 })
    },
    cart__checkoutDisabled: {
        classes: '',
        props: { text: 'Finish & Pay' },
        style: __assign(__assign({}, styles.buttonPrimary), { flexBasis: 1, flexGrow: 1, borderRadius: 64, fontSize: theme.fontSizes.xlarge, opacity: 0.5, paddingBottom: 20, paddingLeft: 48, paddingRight: 48, paddingTop: 20 })
    },
    cart__back: {
        classes: 'buttonPrimary',
        props: { text: 'Back To Menu' },
        style: __assign(__assign({}, styles.buttonSecondary), { flexBasis: 1, flexGrow: 1, borderRadius: 64, fontSize: theme.fontSizes.xlarge, paddingBottom: 20, paddingLeft: 48, paddingRight: 48, paddingTop: 20 })
    }
};
export default cart;
