import { __assign } from "tslib";
import styles from '../styles';
import { theme } from 'utils';
var category = {
    category: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexBasis: 'auto',
            flexGrow: 1,
            flexShrink: 1,
            justifyContent: 'flex-start',
            overflow: 'hidden',
            paddingBottom: 100
        }
    },
    category__header: {
        classes: '',
        props: {},
        style: {
            flexBasis: 'auto',
            flexGrow: 0,
            flexShrink: 0,
            justifyContent: 'center',
            marginTop: 30,
            marginBottom: 30,
            paddingLeft: theme.spacing.padding.medium,
            paddingRight: theme.spacing.padding.medium
        }
    },
    category__title: {
        classes: '',
        props: {
            as: 'h1'
        },
        style: __assign({}, styles.textHeadline)
    },
    category__subtitle: {
        classes: '',
        props: {
            as: 'p'
        },
        style: __assign(__assign({}, styles.textBody), { fontSize: 20, marginTop: 5 })
    },
    category__content: {
        classes: 'hide-scrollbar',
        props: {},
        style: {
            alignItems: 'stretch',
            overflow: 'scroll',
            paddingLeft: 10,
            paddingRight: 10
        }
    },
    category__items: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexBasis: 'auto',
            flexDirection: 'row',
            flexGrow: 1,
            flexShrink: 1,
            flexWrap: 'wrap',
            justifyContent: 'flex-start',
            paddingBottom: theme.spacing.padding.medium
        }
    },
    category__childHeader: {
        classes: '',
        props: {},
        style: {
            flexBasis: 'auto',
            flexGrow: 0,
            flexShrink: 0,
            justifyContent: 'center',
            marginTop: 20,
            marginBottom: 15,
            paddingLeft: 10,
            paddingRight: 10
        }
    },
    category__childTitle: {
        classes: '',
        props: {
            as: 'h2'
        },
        style: __assign(__assign({}, styles.textHeadline), { fontSize: 36 })
    },
    category__childSubtitle: {
        classes: '',
        props: {
            as: 'p'
        },
        style: __assign(__assign({}, styles.textBody), { fontSize: 16, marginTop: 5 })
    }
};
export default category;
