import { __assign } from "tslib";
import styles from '../styles';
import { theme } from 'utils';
var checkoutPayment = {
    checkoutPayment: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexBasis: 'auto',
            flexGrow: 1,
            flexShrink: 1,
            gap: theme.spacing.padding.large,
            justifyContent: 'center',
            overflow: 'hidden',
            paddingBottom: 100,
            paddingLeft: theme.spacing.padding.large,
            paddingRight: theme.spacing.padding.large,
            paddingTop: 100
        }
    },
    checkoutPayment__header: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexBasis: 200,
            flexGrow: 0,
            flexShrink: 1,
            justifyContent: 'center',
            textAlign: 'center'
        }
    },
    checkoutPayment__title: {
        classes: '',
        props: {
            as: 'h1',
            text: 'Follow Payment Prompts'
        },
        style: __assign(__assign({}, styles.textHeadline), { fontSize: theme.fontSizes.xxxlarge })
    },
    checkoutPayment__subtitle: {
        classes: '',
        props: {
            as: 'h1',
            text: 'Follow Payment Prompts'
        },
        style: __assign(__assign({}, styles.textBody), { fontSize: theme.fontSizes.large, padding: theme.spacing.padding.large })
    },
    checkoutPayment__content: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexGrow: 1,
            flexShrink: 1,
            justifyContent: 'center',
            overflow: 'hidden'
        }
    },
    checkoutPayment__imageContainer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch'
        }
    },
    checkoutPayment__image: {
        classes: '',
        props: {
            src: 'https://io-opentender.s3.amazonaws.com/images/kiosk-with-payment-terminal.png',
            alt: 'Payment Terminal'
        },
        style: {
            width: 640
        }
    },
    checkoutPayment__footer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexBasis: 200,
            flexGrow: 0,
            flexShrink: 1,
            flexDirection: 'row',
            gap: 100,
            justifyContent: 'center'
        }
    },
    checkoutPayment__back: {
        classes: '',
        props: { text: 'Customize' },
        style: __assign(__assign({}, styles.buttonSecondary), { flexBasis: '400px', flexGrow: 0, flexShrink: 0, borderRadius: 64, fontSize: theme.fontSizes.large, paddingBottom: 20, paddingLeft: 30, paddingRight: 30, paddingTop: 20 })
    },
    checkoutPayment__proceed: {
        classes: '',
        props: { text: 'Add To Order' },
        style: __assign(__assign({}, styles.buttonPrimary), { flexBasis: '400px', flexGrow: 0, flexShrink: 0, borderRadius: 64, fontSize: theme.fontSizes.large, paddingBottom: 20, paddingLeft: 30, paddingRight: 30, paddingTop: 20 })
    }
};
export default checkoutPayment;
