import { __assign } from "tslib";
import styles from '../styles';
import { theme } from '../utils/theme';
var guest = {
    guest: {
        classes: '',
        props: {
            src: 'https://s3.amazonaws.com/betterboh/u/img/staging/2/1708230146_burger-with-cheeses--1600x2403.jpg',
            alt: 'Open Tender Landing'
        },
        style: {
            alignItems: 'stretch',
            flexBasis: 'auto',
            flexGrow: 1,
            flexShrink: 1,
            justifyContent: 'center',
            backgroundImage: 'url(https://s3.amazonaws.com/betterboh/u/img/staging/2/1708230146_burger-with-cheeses--1600x2403.jpg)',
            backgroundPositionY: 'bottom',
            backgroundSize: 'cover'
        }
    },
    guest__header: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexBasis: 'auto',
            flexGrow: 0,
            flexShrink: 0,
            justifyContent: 'center',
            marginTop: 130
        }
    },
    guest__logo: {
        classes: '',
        props: {
            src: 'https://io-opentender.s3.amazonaws.com/logos/open-tender-logo-white.png',
            alt: 'Open Tender Logo'
        },
        style: {
            width: 480
        }
    },
    guest__buttons: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexBasis: 'auto',
            flexGrow: 1,
            flexShrink: 1,
            justifyContent: 'center'
        }
    },
    guest__orderNow: {
        classes: '',
        props: {},
        style: __assign(__assign({}, styles.buttonPrimary), { borderRadius: 64, fontSize: theme.fontSizes.xxxlarge, paddingBottom: 24, paddingLeft: 48, paddingRight: 48, paddingTop: 24, marginTop: 360 })
    },
    guest__footer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexBasis: 200,
            flexGrow: 0,
            flexShrink: 0,
            justifyContent: 'center'
        }
    },
    guest__signIn: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            marginBottom: theme.spacing.header.height
        }
    },
    guest__signInContainer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            padding: theme.spacing.padding.large,
            minWidth: 360
        }
    },
    guest__signInPhone: {
        classes: '',
        props: {},
        style: __assign(__assign({}, styles.buttonSecondary), { borderRadius: 64, fontSize: theme.fontSizes.xxlarge, paddingBottom: 20, paddingLeft: 48, paddingRight: 48, paddingTop: 20, maxWidth: 400 })
    },
    guest__customer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            backgroundColor: 'rgba(0, 0, 0, 0.5)',
            boxShadow: theme.colors.boxShadow.secondary,
            flexGrow: 1,
            gap: theme.spacing.padding.medium,
            justifyContent: 'center',
            padding: theme.spacing.padding.large
        }
    },
    guest__customerName: {
        classes: '',
        props: {},
        style: __assign(__assign({}, styles.textHeading), { fontSize: theme.fontSizes.xxxlarge, color: theme.colors.background.primary })
    },
    guest__customerSignOut: {
        classes: '',
        props: {},
        style: {
            fontSize: theme.fontSizes.xlarge,
            color: theme.colors.background.primary
        }
    }
};
export default guest;
