import { __assign } from "tslib";
import styles from 'styles';
import { theme } from 'utils';
var header = {
    header: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            borderBottomColor: theme.colors.border.primary,
            borderBottomWidth: 1,
            borderLeftWidth: 0,
            borderRightWidth: 0,
            borderTopWidth: 0,
            borderStyle: 'solid',
            flexBasis: 'auto',
            flexDirection: 'row',
            flexGrow: 0,
            flexShrink: 0,
            height: 60,
            justifyContent: 'space-between',
            paddingLeft: theme.spacing.padding.medium,
            paddingRight: theme.spacing.padding.medium
        }
    },
    header__back: {
        classes: '',
        props: { text: 'Back' },
        style: __assign(__assign({}, styles.buttonPrimary), { flexBasis: 1 })
    },
    header__center: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexGrow: 1,
            flexShrink: 1
        }
    },
    header__left: {
        classes: '',
        props: {},
        style: {
            flexBasis: 150,
            flexGrow: 0,
            flexShrink: 0
        }
    },
    header__logo: {
        classes: '',
        props: {
            src: 'https://s3.amazonaws.com/betterboh/u/img/staging/2/1702839765_open-tender-logo-confluence.png',
            alt: 'Open Tender Logo'
        },
        style: {
            width: 160
        }
    },
    header__open: {
        classes: 'buttonPrimary',
        props: {},
        style: __assign(__assign({}, styles.buttonPrimary), { borderRadius: 3, flexBasis: 1, gap: 0, paddingBottom: 6, paddingLeft: 6, paddingRight: 6, paddingTop: 6 })
    },
    header__right: {
        classes: '',
        props: {},
        style: {
            alignItems: 'flex-end',
            flexBasis: 150,
            flexGrow: 0,
            flexShrink: 0
        }
    }
};
export default header;
