import { __assign } from "tslib";
import styles from '../styles';
import { theme } from 'utils';
var menu = {
    menu: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexBasis: 'auto',
            flexGrow: 1,
            flexShrink: 1,
            justifyContent: 'flex-start',
            overflow: 'hidden'
        }
    },
    menu__header: {
        classes: '',
        props: {},
        style: {
            flexBasis: 'auto',
            flexGrow: 0,
            flexShrink: 0,
            justifyContent: 'center',
            marginTop: 30,
            marginBottom: 30,
            paddingLeft: theme.spacing.padding.medium,
            paddingRight: theme.spacing.padding.medium
        }
    },
    menu__title: {
        classes: '',
        props: {
            as: 'h1',
            text: 'My oh my...where to begin...'
        },
        style: __assign({}, styles.textHeadline)
    },
    menu__subtitle: {
        classes: '',
        props: {
            as: 'p',
            text: 'Please choose a category to get started.'
        },
        style: __assign(__assign({}, styles.textBody), { fontSize: 20, marginTop: 10 })
    },
    menu__content: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            overflow: 'scroll',
            paddingLeft: 10,
            paddingRight: 10
        }
    },
    menu__categories: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexBasis: 'auto',
            flexDirection: 'row',
            flexGrow: 1,
            flexShrink: 1,
            flexWrap: 'wrap',
            // gap: 20,
            justifyContent: 'flex-start',
            paddingBottom: 20
        }
    }
};
export default menu;
