import { __assign } from "tslib";
import styles from '../styles';
import { theme } from 'utils';
var modalContent = {
    modalContent: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            width: 720
        }
    },
    modalContent__container: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            gap: 50,
            padding: theme.spacing.padding.large
        }
    },
    modalContent__header: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexGrow: 0,
            flexShrink: 0,
            gap: theme.spacing.padding.small
        }
    },
    modalContent__title: {
        classes: '',
        props: {},
        style: __assign(__assign({}, styles.textHeading), { fontSize: theme.fontSizes.xxxlarge, textAlign: 'center' })
    },
    modalContent__subtitle: {
        classes: '',
        props: {},
        style: __assign(__assign({}, styles.textBody), { fontSize: theme.fontSizes.xlarge, textAlign: 'center' })
    },
    modalContent__content: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexGrow: 0,
            flexShrink: 0
        }
    },
    modalContent__footer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexDirection: 'row',
            flexGrow: 0,
            flexShrink: 0,
            gap: theme.spacing.padding.large,
            justifyContent: 'center'
        }
    },
    modalContent__primary: {
        classes: '',
        props: {},
        style: __assign(__assign({}, styles.buttonPrimary), { borderRadius: 64, fontSize: theme.fontSizes.xlarge, paddingBottom: 20, paddingLeft: 40, paddingRight: 40, paddingTop: 20 })
    },
    modalContent__secondary: {
        classes: '',
        props: {},
        style: __assign(__assign({}, styles.buttonSecondary), { borderRadius: 64, fontSize: theme.fontSizes.xlarge, paddingBottom: 20, paddingLeft: 40, paddingRight: 40, paddingTop: 20 })
    }
};
export default modalContent;
