import { __assign } from "tslib";
import styles from '../styles';
import { theme } from 'utils';
var pointsReward = {
    pointsReward: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            display: 'flex',
            flexGrow: 1,
            flexShrink: 1,
            textAlign: 'left'
        }
    },
    pointsReward__disabled: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            display: 'flex',
            flexGrow: 1,
            flexShrink: 1,
            opacity: 0.5,
            textAlign: 'left'
        }
    },
    pointsReward__container: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexDirection: 'row',
            flexGrow: 1,
            justifyContent: 'space-between',
            overflow: 'hidden',
            position: 'relative'
        }
    },
    pointsReward__applied: {
        classes: '',
        props: {},
        style: {
            position: 'absolute',
            right: 10,
            top: 10,
            zIndex: 2
        }
    },
    pointsReward__image: {
        classes: '',
        props: {},
        style: {
            aspectRatio: 1.5,
            backgroundColor: theme.colors.background.tertiary,
            backgroundPosition: 'center',
            backgroundSize: 'cover',
            flexBasis: 160,
            flexGrow: 0,
            flexShrink: 0
        }
    },
    pointsReward__content: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexGrow: 1,
            flexShrink: 1,
            // overflow: 'hidden',
            padding: theme.spacing.padding.medium
        }
    },
    pointsReward__info: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexGrow: 1,
            flexShrink: 1,
            gap: theme.spacing.padding.small
            // overflow: 'hidden'
        }
    },
    pointsReward__infoHeader: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexDirection: 'row',
            justifyContent: 'space-between'
        }
    },
    pointsReward__name: {
        classes: '',
        props: {},
        style: __assign(__assign({}, styles.textHeading), { fontSize: theme.fontSizes.medium })
    },
    pointsReward__price: {
        classes: '',
        props: {},
        style: __assign(__assign({}, styles.textBody), { fontSize: theme.fontSizes.medium, minWidth: 80, textAlign: 'right' })
    },
    pointsReward__infoContent: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexDirection: 'row',
            justifyContent: 'space-between'
        }
    },
    pointsReward__pointsPer: {
        classes: '',
        props: {},
        style: __assign(__assign({}, styles.textBody), { fontSize: theme.fontSizes.xsmall })
    },
    pointsReward__quantityPrice: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexDirection: 'row',
            gap: theme.spacing.padding.small,
            justifyContent: 'space-between'
        }
    },
    pointsReward__quantityContainer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            backgroundColor: theme.colors.text.primary,
            borderRadius: 100,
            flexBasis: 32,
            justifyContent: 'center',
            height: 32,
            width: 32
        }
    },
    pointsReward__quantity: {
        classes: '',
        props: {},
        style: __assign(__assign({}, styles.textHeading), { color: theme.colors.background.primary, fontSize: theme.fontSizes.xsmall })
    },
    pointsReward__infoFooter: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexDirection: 'row',
            justifyContent: 'space-between'
        }
    },
    pointsReward__pointsApplied: {
        classes: '',
        props: {},
        style: {
            fontSize: theme.fontSizes.xsmall
        }
    },
    pointsReward__pointsMessage: {
        classes: '',
        props: {},
        style: __assign(__assign({}, styles.textBody), { fontSize: theme.fontSizes.xsmall })
    }
};
export default pointsReward;
