import { __assign } from "tslib";
import styles from '../styles';
import { theme } from 'utils';
var upsellItem = {
    upsellItem: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch'
        }
    },
    upsellItem__container: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexDirection: 'row',
            // gap: theme.spacing.padding.medium,
            justifyContent: 'space-between'
            // padding: theme.spacing.padding.medium
        }
    },
    upsellItem__image: {
        classes: '',
        props: {},
        style: {
            aspectRatio: 1.5,
            backgroundPosition: 'center',
            backgroundSize: 'cover',
            flexBasis: 200,
            flexGrow: 0,
            flexShrink: 0
        }
    },
    upsellItem__info: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexGrow: 1,
            flexShrink: 1,
            padding: theme.spacing.padding.medium
        }
    },
    upsellItem__header: {
        classes: '',
        props: {},
        style: {
            alignItems: 'flex-start',
            flexDirection: 'row',
            flexGrow: 0,
            flexShrink: 0,
            gap: 10,
            justifyContent: 'space-between'
        }
    },
    upsellItem__title: {
        classes: '',
        props: {},
        style: __assign(__assign({}, styles.textHeading), { fontSize: theme.fontSizes.medium })
    },
    upsellItem__details: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexDirection: 'row',
            gap: 10
        }
    },
    upsellItem__price: {
        classes: '',
        props: {},
        style: __assign(__assign({}, styles.textHeading), { flexGrow: 0, flexShrink: 0, fontSize: theme.fontSizes.small })
    },
    upsellItem__calories: {
        classes: '',
        props: {},
        style: __assign(__assign({}, styles.textBody), { flexGrow: 0, flexShrink: 0, fontSize: theme.fontSizes.small })
    },
    upsellItem__content: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexDirection: 'row',
            flexGrow: 1,
            flexShrink: 1,
            justifyContent: 'space-between',
            paddingBottom: theme.spacing.padding.small,
            paddingTop: theme.spacing.padding.small
        }
    },
    upsellItem__description: {
        classes: '',
        props: {},
        style: __assign(__assign({}, styles.textBody), { fontSize: theme.fontSizes.xxsmall, flexBasis: 480, flexGrow: 1, flexShrink: 1, maxWidth: 480 })
    },
    upsellItem__footer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexDirection: 'row',
            flexGrow: 0,
            flexShrink: 0,
            gap: 10,
            justifyContent: 'space-between'
        }
    },
    upsellItem__footerButtons: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexDirection: 'row',
            gap: 15,
            justifyContent: 'flex-end'
        }
    },
    upsellItem__add: {
        classes: '',
        props: { text: 'Edit' },
        style: __assign(__assign({}, styles.buttonPrimary), { fontSize: theme.fontSizes.small, paddingBottom: 8, paddingTop: 8 })
    }
};
export default upsellItem;
