import { __assign } from "tslib";
import styles from 'styles';
import { theme } from 'utils';
var upsells = {
    upsells: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            backgroundColor: theme.colors.background.primary,
            borderRadius: theme.spacing.borderRadius.medium,
            boxShadow: theme.colors.boxShadow.primary,
            flexGrow: 1,
            minWidth: 800,
            overflow: 'hidden',
            padding: theme.spacing.padding.large
        }
    },
    upsells__header: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexBasis: 200,
            flexGrow: 0,
            flexShrink: 0,
            justifyContent: 'center',
            textAlign: 'center'
        }
    },
    upsells__title: {
        classes: '',
        props: {
            as: 'h1',
            text: 'You Might Also Like'
        },
        style: __assign(__assign({}, styles.textHeadline), { fontSize: theme.fontSizes.xxlarge })
    },
    upsells__items: {
        classes: 'hide-scrollbar',
        props: {},
        style: {
            alignItems: 'stretch',
            flexGrow: 1,
            justifyContent: 'center',
            overflow: 'scroll'
        }
    },
    upsells__itemsContainer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'stretch',
            flexGrow: 1,
            gap: theme.spacing.padding.large,
            justifyContent: 'center',
            padding: theme.spacing.padding.large
        }
    },
    upsells__footer: {
        classes: '',
        props: {},
        style: {
            alignItems: 'center',
            flexBasis: 200,
            flexDirection: 'row',
            flexGrow: 0,
            flexShrink: 0,
            justifyContent: 'center',
            textAlign: 'center'
        }
    },
    upsells__cancel: {
        classes: '',
        props: { text: 'Add To Order' },
        style: __assign(__assign({}, styles.buttonPrimary), { flexBasis: 400, flexGrow: 0, flexShrink: 0, borderRadius: 64, fontSize: theme.fontSizes.large, paddingBottom: 20, paddingLeft: 30, paddingRight: 30, paddingTop: 20 })
    }
};
export default upsells;
